package com.adealink.weparty.commonui.widget.floatview

import android.view.WindowManager
import com.adealink.weparty.commonui.widget.floatview.data.FloatWindowType
import com.adealink.weparty.commonui.widget.floatview.data.IFloatData
import com.adealink.weparty.commonui.widget.floatview.view.BaseFloatView

interface IViewManager<V : BaseFloatView<out IFloatData>> {
    fun addView(wm: WindowManager, view: V)
    fun removeView(wm: WindowManager, view: V, reason: String = "")
    fun findFloatViewByType(type: FloatWindowType): V?
}